[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.InitiateAction

Updates the action associated with the control using its action link.

## Declaration

Source position: controls.pp line 1746

`public procedure TControl.InitiateAction; virtual;`

## Description

Calls the Update method in ActionLink to signal the OnUpdate event handler for the linked TBasicAction instance. No actions are performed in the method when ActionLink has not been assigned.

## See also

TControl.ActionLink |  | Link to the default Action associated with this control.
TBasicActionLink.Update
TBasicActionLink.OnUpdate